window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"3948","username":"hnhegde","comment":"<p>In <a href=\"https:\/\/datatables.net\/forums\/discussion\/39130#Comment_102210\">this<\/a> forum response, Allan had mentioned a significant point about the behavior of <a href=\"\/\/datatables.net\/reference\/api\/ajax.reload()\"><code class=\"api\" title=\"DataTables API method\">ajax.reload()<\/code><\/a>.<\/p>\n\n<p><a href=\"\/\/datatables.net\/reference\/option\/ajax.data\"><code class=\"option\" title=\"DataTables initialisation option\">ajax.data<\/code><\/a> when initialized as a static object ie.,<\/p>\n\n<pre><code class=\"multiline language-js\">$(#table).DataTable({\n    ajax:  {\n        url: \"\/url_endpoint\/\",\n        data: { \n            \"param1\": \"value1\", \n            \"param2\": \"value2\"\n        }\n    }\n});\n<\/code><\/pre>\n\n<blockquote>\n  <p>it will ever be evaluated only once.  If you want to read new data on each reload, you'd need to use it as a function - see the <a href=\"\/\/datatables.net\/reference\/option\/ajax.data\"><code class=\"option\" title=\"DataTables initialisation option\">ajax.data<\/code><\/a> examples for how to do that.<\/p>\n<\/blockquote>\n\n<p>So, if <a href=\"\/\/datatables.net\/reference\/api\/ajax.reload()\"><code class=\"api\" title=\"DataTables API method\">ajax.reload()<\/code><\/a> has to work for a new set of data inputs, then it is important to initialize <a href=\"\/\/datatables.net\/reference\/option\/ajax.data\"><code class=\"option\" title=\"DataTables initialisation option\">ajax.data<\/code><\/a> as a function:<\/p>\n\n<pre><code class=\"multiline language-js\">$(#table).DataTable({\n    ajax:  {\n        url: \"\/url_endpoint\/\",\n        data: function(d){ \n            d.param1 = \"value1\";\n            d.param2 = \"value2\";\n        }\n    }\n});\n<\/code><\/pre>\n","created":"10:41, Mon 1st Apr 2019","parent":null,"version":"1.10.19","children":[]}] );
} );window._site.page = "reference\/api\/ajax.reload()";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '5351843dfaec593eeeb7953d178dd03a9d236dda92149383';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


